## org.hibernate.jdbc
Class NonBatchingBatcherFactory

    java.lang.Object
      org.hibernate.jdbc.NonBatchingBatcherFactory

All Implemented Interfaces:
  BatcherFactory

    public class NonBatchingBatcherFactory

extends Object
implements BatcherFactory

A BatcherFactory implementation which constructs Batcher instances that do not perform batch operations.

Author:
  Gavin King

Constructor Summary
`NonBatchingBatcherFactory()`

Method Summary
`Batcher` `createBatcher(ConnectionManager connectionManager, Interceptor interceptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonBatchingBatcherFactory

    public NonBatchingBatcherFactory()

Method Detail

### createBatcher

    public Batcher createBatcher(ConnectionManager connectionManager,
                                 Interceptor interceptor)

  Specified by:
    `createBatcher` in interface `BatcherFactory`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.